/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.demo.simple;

/**
 * @author Shen Li
 */
public abstract class Target implements Foo {
    public void target() {
        foo();
        System.out.println();
        System.out.println("Target.target() invoked.");
    }
}
